Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85175 - links followed outside home directory during user deletion
Summary: links followed outside home directory during user deletion
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-users
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-26 05:13 UTC by Matt Whiteley
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-27 06:30:32 UTC


Attachments (Terms of Use)

Description Matt Whiteley 2003-02-26 05:13:41 UTC
Description of problem:
Symlinks are followed while removing the home directory in response to the
remove home directory question while removing a user with redhat-config-users.

Version-Release number of selected component (if applicable):
redhat-config-users-1.1.5-5

How reproducible:


Steps to Reproduce:
1. Create user
2. Create symlink to directory in path outside /home/$user
3. Remove user and select remove home directory
    
Actual results:
The symlink is followed and the directory outside the home directory is removed.

Expected results:
The symlink in the home directory is removed along with the directory leaving
the files in /$other/$path intact.

Additional info:
I was not sure if this was my fault or a bug but the consensus on
phoebe-list@redhat.com seemed to be towards bug.

Comment 1 Jeremy Katz 2003-02-26 20:23:13 UTC
Fixed in 1.1.5-7

Comment 2 Jay Turner 2003-02-27 06:30:32 UTC
Fix confirmed for redhat-config-users-1.1.5-7.


Note You need to log in before you can comment on or make changes to this bug.